Nunjucks 安全漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1212471 漏洞类型 跨站脚本
发布时间 2018-05-31 更新时间 2018-06-11
CVE编号 CVE-2016-10547 CNNVD-ID CNNVD-201805-1189
漏洞平台 N/A CVSS评分 4.3
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201805-1189
|漏洞详情
Nunjucks是一个基于JavaScript的全功能模板引擎。 Nunjucks 2.4.2及之前版本中的autoescape模式存在跨站脚本漏洞,该漏洞源于程序没有转义结构化的用户输入。远程攻击者可利用该漏洞绕过自动转义并向文档对象模型(DOM)注入内容。
|参考资料

来源:github.com

链接:https://github.com/matt-/nunjucks_test


来源:github.com

链接:https://github.com/mozilla/nunjucks/issues/835


来源:nodesecurity.io

链接:https://nodesecurity.io/advisories/147